package ai.pai.lensman.printer;

import android.bluetooth.BluetoothDevice;

import java.util.List;

/**
 * Created by chengzhenyu on 2016/9/1.
 */

public class PrinterSettingContract {

    public interface Presenter{
        void start();
        void stop();
        void queryPrinterStatus();
        void printTestPage();
        boolean queryBluetoothStatus();
        List<BluetoothDevice> queryPairedDevices();
        void discoverNewDevices();
        void connectPrinter();
        void cancelDiscovery();
        void connectBluetooth(BluetoothDevice device);
    }

    public interface View{
        void onBluetoothEnabled();
        void onBluetoothDisabled();
        void onPrinterOk();
        void onPrinterError(String error);
        void onPrinterConnected();
        void onPrinterDisconnected();
        void onNewDeviceDiscovered(BluetoothDevice device);
        void onPrinterTestPageFail();
        void onPairedDeviceDiscovered(List<BluetoothDevice> devices);
        void showToast(String msg);
    }
}
